Skip to main content
GET
List jobs

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ai_failure_summary_isnull
boolean
created_at_after
string<date-time>
created_at_before
string<date-time>
created_by
string[]

Multiple values may be separated by commas.

created_by_application
string[]

Multiple values may be separated by commas.

device_id
string<uuid>[]

Multiple values may be separated by commas.

has_inflight_cancellable_executions
boolean
limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
name
string
ordering
enum<string>[]

Which field to use when ordering the results.

Available options:
updated_at,
-updated_at,
completed_at,
-completed_at,
created_at,
-created_at
page
integer

A page number within the paginated result set.

site_id
string<uuid>[]

Multiple values may be separated by commas.

status
enum<string>[]

Multiple values may be separated by commas.

Available options:
cancellation_requested,
cancelled,
completed,
failed,
partially_failed,
pending,
running,
superseded,
terminated,
timed_out
workflow_id
string<uuid>[]

Multiple values may be separated by commas.

workflow_name
enum<string>[]

Multiple values may be separated by commas.

Available options:
BackendVrfIsolateWorkflow,
BackendVrfReturnWorkflow,
ColdResetBmcWorkflow,
ConnectivityVerificationWorkflow,
CustomerReleaseWorkflow,
DisableMaintenanceModeWorkflow,
EnrollmentWorkflow,
FirmwareInventoryWorkflow,
FirmwarePolicyVerificationWorkflow,
FirmwareVerificationWorkflow,
FrontendVrfIsolateWorkflow,
FrontendVrfReturnWorkflow,
ImageNodeWorkflow,
IronicNodeCleanWorkflow,
MultiNodeBurnInCollectiveWorkflow,
MultiNodeBurnInPairwiseWorkflow,
NVSwitchFirmwarePolicyVerificationWorkflow,
NodeDiagnosticsWorkflow,
NodeSwapWorkflow,
NvLinkIsolateWorkflow,
NvLinkReturnWorkflow,
PowerCycleWorkflow,
PowerOffWorkflow,
PrepareHardwareTestImagesWorkflow,
QuarantineWorkflow,
ReleaseWorkflow,
ReportGenerationWorkflow,
SetMaintenanceModeWorkflow,
SingleNodeBurnInWorkflow,
SlurmAdoptWorkflow,
SlurmDrainNodeWorkflow,
SlurmReleaseWorkflow,
SlurmResumeNodeWorkflow,
UnenrollmentWorkflow,
UnimageNodeWorkflow

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"